package com.bytedance.android.live.liveinteract.api;

import X.AnonymousClass1YT;
import X.C14620iS;
import X.C14650iV;
import X.C14740ie;
import X.C24070xh;
import X.Gyq;
import X.Lel;
import android.view.SurfaceView;
import com.bytedance.android.live.base.model.user.User;
import com.bytedance.android.livesdk.model.message.TeamUsersInfo;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.widgets.LiveRecyclableWidget;
import java.util.HashSet;
import java.util.LinkedHashSet;
import java.util.List;
import java.util.Set;

public class InteractServiceDummy implements IInteractService {
    static {
        Covode.recordClassIndex(6487);
    }

    public boolean canLinkMic() {
        return false;
    }

    public C14620iS createCommonLinkMicFeedViewManager() {
        return null;
    }

    public AnonymousClass1YT createMultiLiveFeedView(int i, long j, long j2, boolean z) {
        return null;
    }

    public void disconnectMultiGuestV3() {
    }

    public long getBattleId() {
        return 0;
    }

    public Class<? extends LiveRecyclableWidget> getBottomLeftLinkHostWidget() {
        return null;
    }

    public long getChannelId() {
        return 0;
    }

    public String getConnectionType() {
        return "normal";
    }

    public String getCurrentInviteeList() {
        return "";
    }

    public int getCurrentLinkMode() {
        return 0;
    }

    public String getCurrentPkState() {
        return "";
    }

    public String getDebugInfo() {
        return "";
    }

    public String getInviteeList() {
        return "";
    }

    public C24070xh getLinkCrossRoomSeiData() {
        return null;
    }

    public SurfaceView getLinkInAnchorSurface() {
        return null;
    }

    public int getLinkState(User user) {
        return 0;
    }

    public String getLinkStatus4H5() {
        return "";
    }

    public C14740ie getLinkWidgetFactory() {
        return null;
    }

    public int getLinkedGuestNum() {
        return 0;
    }

    public int getMatchPreviewProgressStatus() {
        return -1;
    }

    public int getMatchProgressStatus() {
        return -1;
    }

    public int getMaxLinkNum() {
        return 0;
    }

    public int getMultiGuestOnlineGuestsViews() {
        return 0;
    }

    public long getRivalAnchorUidWhenAnchorLinkMic() {
        return 0;
    }

    public String getRoomScene() {
        return "";
    }

    public Set<Long> getSocialInvitingUserId() {
        return null;
    }

    public Set<Long> getSocialOnlineAndWaitingUserId() {
        return null;
    }

    public Set<Long> getSocialOnlineUserIds() {
        return null;
    }

    public List<TeamUsersInfo> getTeamInfo() {
        return null;
    }

    public C14650iV getUserRole(long j) {
        return null;
    }

    public void handleLiveRoomStopped() {
    }

    public boolean hasMultiCoHostPermission() {
        return false;
    }

    public boolean isAdjustParentForPreviewDialog() {
        return false;
    }

    public boolean isAnchorVideoEnable() {
        return true;
    }

    public boolean isAudienceApplied() {
        return false;
    }

    public boolean isBattleStarter() {
        return false;
    }

    public boolean isBattling() {
        return false;
    }

    public boolean isIn1VN() {
        return false;
    }

    public boolean isInCoHost() {
        return false;
    }

    public boolean isInMultiGuest() {
        return false;
    }

    public boolean isInRandomLinkMic() {
        return false;
    }

    public boolean isInteracting() {
        return false;
    }

    public boolean isLinkingMic() {
        return false;
    }

    public boolean isMultiGuestV3() {
        return false;
    }

    public boolean isMultiLiveFixLayout() {
        return false;
    }

    public boolean isMultiLiveFloatLayout() {
        return false;
    }

    public boolean isMultiLiveGridLayout() {
        return false;
    }

    public boolean isMultiLiveLayout() {
        return false;
    }

    public boolean isNotInLinkMicProgress() {
        return true;
    }

    public boolean isRoomInBattle() {
        return false;
    }

    public void onInit() {
    }

    public void preloadAnchorViewHolder() {
    }

    public void preloadWidgetView() {
    }

    public void registerInteractStateChangeListener(Gyq gyq) {
    }

    public void removeInteractStateChangeListener(Gyq gyq) {
    }

    public List<Long> getMultiCoHostLinkedUserList() {
        return Lel.INSTANCE;
    }

    public Set<Long> getHasInvitedUidSet() {
        return new LinkedHashSet();
    }

    public Set<Long> getSocialLocalInviteUIDs() {
        return new HashSet();
    }

    public Set<Long> getUninvitedUidSet() {
        return new LinkedHashSet();
    }
}
